/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package textkeymatcher.service;

/**
 *
 * @author seraphy
 */
public enum PredefinedSimpleSplitCharColumnSplitter {
 
    TAB_SPLIT("\t"),
    SIMPLE_COMMA_SPLIT(","),
    SIMPLE_COLON_SPLIT(":"),
    SIMPLE_SEMICOLON_SPLIT(";"),
    SIMPLE_ASTER_SPLIT("*"),
    SINGLE_SPACE_SPLIT("\\s"),
    SPACES_SPLIT("\\s+"),
    ;
    
    private final SimpleSplitCharColumnSplitter parser;
    
    PredefinedSimpleSplitCharColumnSplitter(String splitChar) {
        parser = new SimpleSplitCharColumnSplitter(splitChar);
    }
    
    public SimpleSplitCharColumnSplitter getParser() {
        return parser;
    }
}

